### Method

# Gimp Image set_colormap

#### Declaration [src]

    gboolean
    gimp_image_set_colormap (
      GimpImage* image,
      const guchar* colormap,
      gint num_colors
    )

#### Description [src]

Sets the entries in the image’s colormap.

This procedure sets the entries in the specified image’s colormap. The number of colors is specified by the “num_colors” parameter and corresponds to the number of INT8 triples that must be contained in the “cmap” array.

#### Parameters

`colormap` | An array of `guchar`
| The new colormap values.
| The data is owned by the caller of the function.
`num_colors` | `gint`
| Number of colors in the colormap array.

#### Return value

Returns: | `gboolean`
| TRUE on success.